Index: src/mainboard/technexion/tim5690/Kconfig
===================================================================
--- src/mainboard/technexion/tim5690/Kconfig	(revision 4774)
+++ src/mainboard/technexion/tim5690/Kconfig	(working copy)
@@ -18,6 +18,12 @@
 	select SB_HT_CHAIN_UNITID_OFFSET_ONLY
 	select WAIT_BEFORE_CPUS_INIT
 	select HAVE_ACPI_TABLES
+#	select HAVE_FALLBACK_BOOT
+#	select HAVE_MP_TABLE
+#	select CONSOLE_VGA
+#	select VIDEO_MB
+	select GFXUMA
+	select HAVE_MAINBOARD_RESOURCES
 
 config MAINBOARD_DIR
 	string
@@ -41,6 +47,7 @@
 
 config APIC_ID_OFFSET
 	hex
+	#default 0x0
 	default 0x8
 	depends on BOARD_TECHNEXION_TIM5690
 
@@ -81,17 +88,20 @@
 
 config SB_HT_CHAIN_ON_BUS0
 	int
+	#default 1
 	default 2
 	depends on BOARD_TECHNEXION_TIM5690
 
 config HT_CHAIN_END_UNITID_BASE
 	hex
+	#default 0x1
 	default 0x6
 	depends on BOARD_TECHNEXION_TIM5690
 
 config HT_CHAIN_UNITID_BASE
 	hex
-	default 0xa
+	default 0x0
+	#default 0xa
 	depends on BOARD_TECHNEXION_TIM5690
 
 config USE_INIT
@@ -103,3 +113,34 @@
 	int
 	default 11
 	depends on BOARD_TECHNEXION_TIM5690
+
+#config MAINBOARD_PCI_SUBSYSTEM_VENDOR_ID
+#	hex
+#	default 0x1022
+#	depends on BOARD_TECHNEXION_TIM5690
+
+#config MAINBOARD_PCI_SUBSYSTEM_DEVICE_ID
+#	hex
+#	default 0x3050
+#	depends on BOARD_TECHNEXION_TIM5690
+
+#config STACK_SIZE
+#	hex
+#	default 0x2000
+#	depends on BOARD_TECHNEXION_TIM5690
+
+#config HEAP_SIZE
+#	hex
+#	default 0x4000
+#	depends on BOARD_TECHNEXION_TIM5690
+
+#config RAMBASE
+#	hex
+#	default 0x4000
+#	depends on BOARD_TECHNEXION_TIM5690
+
+#config VIDEO_MB
+#	int
+#	default 1
+#	depends on BOARD_TECHNEXION_TIM5690
+
